{
  description = "writer-menu";

  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/release-24.11";
  };

  outputs = { self, nixpkgs }:

    let
      pkgs = nixpkgs.legacyPackages.x86_64-linux;
      writer-menu = pkgs.writeShellScriptBin "writer-menu" ''
          IP=$(${pkgs.hostname-debian}/bin/hostname -I)
          while true
          do

          ${pkgs.dialog}/bin/dialog --msgbox "Welcome to the Writer App Main Menu" 0 0
          APP=$(${pkgs.dialog}/bin/dialog --title "please select a option:" --menu "Apps:" 0 0 0 \
              1 "Word Processor" \
              2 "Dictionary lookup" \
              3 "Connect to network" \
              4 "Share Files" \
              5 "Print a ODT File" \
              6 "Terminal" \
              3>&1 1>&2 2>&3 3>&-)

          case $APP in
              1) ${pkgs.wordgrinder}/bin/wordgrinder ;;
              2) WN=$(${pkgs.dialog}/bin/dialog --inputbox "enter dictionary search" 0 0 3>&1 1>&2 2>&3 3>&-) && ${pkgs.wordnet}/bin/wn $WN -over | ${pkgs.less}/bin/less ;;
              3) ${pkgs.networkmanager}/bin/nmtui ;;
              4) ${pkgs.dialog}/bin/dialog --msgbox "open with a IP address: $IP with port: 8080, press enter to launch" 0 0 && ${pkgs.toybox}/bin/clear && echo "To Exit: Ctrl+C" && ${pkgs.filebrowser}/bin/filebrowser -a 0.0.0.0 --noauth ;;
              5) ODTPRINT=$(${pkgs.dialog}/bin/dialog --title "Enter Path to ODT to Print" --fselect /home/$USER/ 100 100 3>&1 1>&2 2>&3 3>&-) && ${pkgs.libreoffice}/bin/libreoffice  --headless -p $ODTPRINT ;;
              6) ${pkgs.toybox}/bin/clear ; exit ;;
              *) ${pkgs.toybox}/bin/clear ; exit ;;
          esac

          done

      '';
    in
  {
    packages.x86_64-linux.default = writer-menu;
    packages.aarch64-linux.default = writer-menu;
  };
}